List containers
curl --request GET \
--url https://api.gcore.com/cloud/v1/caas/{project_id}/{region_id}/containers \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/cloud/v1/caas/{project_id}/{region_id}/containers"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cloud/v1/caas/{project_id}/{region_id}/containers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 1,
"results": [
{
"address": "some.example.com",
"created_at": "2021-01-01T00:00:00Z",
"deploy_status": {
"ready": 1,
"total": 2
},
"description": "My first container",
"envs": {
"ENVIRONMENT_VARIABLE": "value 2",
"ENV_VAR": "value 1"
},
"flavor": "250mCPU-512MiB",
"image": "nginx:latest",
"is_api_key_auth": false,
"is_disabled": false,
"listening_port": 80,
"name": "nginx",
"namespace": "default",
"pull_secret": "my-secret",
"scale": {
"max": 13,
"min": 12,
"cooldown_period": 60,
"triggers": {
"cpu": {
"threshold": 50
},
"http": {
"rate": 500,
"window": 1800
},
"memory": {
"threshold": 50
}
}
},
"source": "cloud",
"status": "RUNNING",
"status_message": "Some container status",
"timeout": 5,
"commands": "python3 app.py -m test",
"logging": {
"destination_region_id": 1,
"enabled": true,
"retention_policy": {
"period": 45
},
"topic_name": "my-log-name"
}
}
]
}Container as a Service
List containers
List all containers in the specified project and region.
GET
/
cloud
/
v1
/
caas
/
{project_id}
/
{region_id}
/
containers
List containers
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
Project id
Example:
1
Region id
Example:
1
Query Parameters
Optional. Limit the number of returned items
Required range:
x <= 1000Example:
1000
Optional. Offset value is used to exclude the first set of records from the result
Required range:
x >= 0Example:
0
Was this page helpful?
⌘I